<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".liveVideo.WarningVoiceContentActivity">

    <!-- 标题栏 -->
    <LinearLayout
        android:id="@+id/topBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:gravity="center_vertical"
        android:paddingHorizontal="16dp">

        <ImageView
            android:id="@+id/btnBack"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/back" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:text="@string/warning_voice_content"
            android:textColor="@color/black"
            android:textSize="16dp"
            android:textStyle="bold" />
    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:background="@color/white"
        android:padding="10dp"
        android:minHeight="148dp"
        android:orientation="vertical">
        <EditText
            android:id="@+id/etWarningContent"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:minLines="3"
            android:maxLines="6"
            android:gravity="top"
            android:hint="@string/enter_warning_voice_content_system_will_generate_voice_automatically"
            android:textSize="14dp"
            android:inputType="textMultiLine"
            android:background="@null"
            android:maxLength="100"/>

        <TextView
            android:id="@+id/tvWordCount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="0/100"
            android:textAlignment="textEnd"
            android:textSize="14dp"
            android:textColor="@android:color/darker_gray"
            android:layout_marginTop="4dp" />
    </LinearLayout>


    <View
        android:layout_width="wrap_content"
        android:layout_height="0dp"
        android:layout_weight="1"/>

    <Button
        android:id="@+id/btnSave"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="@string/save"
        android:layout_marginEnd="20dp"
        android:layout_marginStart="20dp"
        android:layout_marginBottom="90dp"
        android:backgroundTint="@color/green" />


</LinearLayout>